Index: thirdparty/SZ/sz/include/pastriF.h
===================================================================
--- thirdparty/SZ/sz/include/pastriF.h	(revision 2c47b734c78138a26f64051bee9d14ecd93594b3)
+++ thirdparty/SZ/sz/include/pastriF.h	(revision 9ee2ce3c0d78f4ec0c8dee6bba00cac6e8b2f339)
@@ -11,9 +11,9 @@
   half.d=0.5;
   
-  //printf("pastri_float_quantize:\nx=%lf  x=0x%lx\n",x,(*((uint64_t *)(&x))));
-  //printf("sign(x):0x%lx\n", x);
-  //printf("0.5:0x%lx\n", (*((uint64_t *)(&half))));
+  ////printf("pastri_float_quantize:\nx=%lf  x=0x%lx\n",x,(*((uint64_t *)(&x))));
+  ////printf("sign(x):0x%lx\n", x);
+  ////printf("0.5:0x%lx\n", (*((uint64_t *)(&half))));
   half.ui64 |= (u1.ui64 & (uint64_t)0x8000000000000000);
-  //printf("sign(x)*0.5:0x%lx\n", (*((uint64_t *)(&half))));
+  ////printf("sign(x)*0.5:0x%lx\n", (*((uint64_t *)(&half))));
   return (int64_t)(x + half.d);
 }
@@ -27,8 +27,8 @@
   int i,sb;
   for(i=0;i<p->bSize;i++){
-    //printf("data[%d] = %.16lf\n",i,data[i]);//DEBUG
+    ////printf("data[%d] = %.16lf\n",i,data[i]);//DEBUG
     if(abs_FastD(data[i])>p->usedEb){
       bp->nonZeros++;
-      //if(DEBUG)printf("data[%d]:%.6e\n",i,data[i]); //DEBUG
+      ////if(DEBUG)printf("data[%d]:%.6e\n",i,data[i]); //DEBUG
     }
     if(abs_FastD(data[i])>absExt){
@@ -43,8 +43,8 @@
   bp->binSize=2*p->usedEb;
   
-  //if(DEBUG){printf("Extremum  : data[%d] = %.6e\n",extIdx,patternExt);} //DEBUG
-  //if(DEBUG){printf("patternIdx: %d\n",patternIdx);} //DEBUG
-  
-  //if(DEBUG){for(i=0;i<p->sbSize;i++){printf("pattern[%d]=data[%d]=%.6e Quantized:%d\n",i,patternIdx+i,data[patternIdx+i],pastri_float_quantize(data[patternIdx+i]/binSize)  );}   }//DEBUG
+  ////if(DEBUG){printf("Extremum  : data[%d] = %.6e\n",extIdx,patternExt);} //DEBUG
+  ////if(DEBUG){printf("patternIdx: %d\n",patternIdx);} //DEBUG
+  
+  ////if(DEBUG){for(i=0;i<p->sbSize;i++){printf("pattern[%d]=data[%d]=%.6e Quantized:%d\n",i,patternIdx+i,data[patternIdx+i],pastri_float_quantize(data[patternIdx+i]/binSize)  );}   }//DEBUG
   
   //int64_t *patternQ=(int64_t*)(outBuf+15);  //Possible Improvement!
@@ -53,5 +53,5 @@
   for(i=0;i<p->sbSize;i++){
     patternQ[i]=pastri_float_quantize(data[patternIdx+i],bp->binSize);
-    if(D_W){printf("patternQ[%d]=%ld\n",i,patternQ[i]);}
+    //if(D_W){printf("patternQ[%d]=%ld\n",i,patternQ[i]);}
   }
   
@@ -59,7 +59,7 @@
   bp->scaleBits=bp->patternBits;
   bp->scalesBinSize=1/(float)(((uint64_t)1<<(bp->scaleBits-1))-1);
-  //if(DEBUG){printf("(patternExt/binSize)+1: %.6e\n",(patternExt/binSize)+1);} //DEBUG
-  //if(DEBUG){printf("scaleBits=patternBits: %d\n",scaleBits);} //DEBUG
-  if(D_W){printf("scalesBinSize: %.6e\n",bp->scalesBinSize);} //DEBUG
+  ////if(DEBUG){printf("(patternExt/binSize)+1: %.6e\n",(patternExt/binSize)+1);} //DEBUG
+  ////if(DEBUG){printf("scaleBits=patternBits: %d\n",scaleBits);} //DEBUG
+  //if(D_W){printf("scalesBinSize: %.6e\n",bp->scalesBinSize);} //DEBUG
   
   //Calculate Scales.
@@ -68,5 +68,5 @@
   //int64_t *scalesQ=(int64_t*)(outBuf+15+p->sbSize*8);  //Possible Improvement!
   int patternExtZero=(patternExt==0);
-  //if(DEBUG){printf("patternExtZero: %d\n",patternExtZero);} //DEBUG
+  ////if(DEBUG){printf("patternExtZero: %d\n",patternExtZero);} //DEBUG
   for(sb=0;sb<p->sbNum;sb++){
     //scales[sb]=data[sb*p->sbSize+localExtIdx]/patternExt;
@@ -74,7 +74,7 @@
     //assert(scales[sb]<=1);
     scalesQ[sb]=pastri_float_quantize((patternExtZero ? 0 : data[sb*p->sbSize+localExtIdx]/patternExt),bp->scalesBinSize);
-    if(D_W){printf("scalesQ[%d]=%ld\n",sb,scalesQ[sb]);}
+    //if(D_W){printf("scalesQ[%d]=%ld\n",sb,scalesQ[sb]);}
   }
-  //if(DEBUG){for(i=0;i<p->sbSize;i++){printf("scalesQ[%d]=%ld \n",i,scalesQ[i]);}} //DEBUG
+  ////if(DEBUG){for(i=0;i<p->sbSize;i++){printf("scalesQ[%d]=%ld \n",i,scalesQ[i]);}} //DEBUG
 
   //int64_t *ECQ=(int64_t*)(outBuf+p->bSize*8); //ECQ is written into outBuf, just be careful when handling it.
@@ -93,5 +93,5 @@
       if(absECQ > bp->ECQExt)
         bp->ECQExt=absECQ;
-      //if(DEBUG){printf("EC[%d]: %.6e Quantized:%ld \n",_1DIdx,(scalesQ[sb]*patternQ[i]*scalesBinSize*binSize-data[_1DIdx]),ECQ[_1DIdx]);} //DEBUG
+      ////if(DEBUG){printf("EC[%d]: %.6e Quantized:%ld \n",_1DIdx,(scalesQ[sb]*patternQ[i]*scalesBinSize*binSize-data[_1DIdx]),ECQ[_1DIdx]);} //DEBUG
       switch (ECQ[_1DIdx]){
         case 0:
@@ -118,6 +118,6 @@
       float decompressed=scalesQ[sb]*patternQ[i]*scalesBinSize*binSize-ECQ[_1DIdx]*binSize;
       if(abs_FastD(decompressed-data[_1DIdx])>(p->usedEb)){
-        printf("p->usedEb=%.6e\n",p->usedEb);
-        printf("data[%d]=%.6e decompressed[%d]=%.6e diff=%.6e\n",_1DIdx,data[_1DIdx],_1DIdx,decompressed,abs_FastD(data[_1DIdx]-decompressed));
+        //printf("p->usedEb=%.6e\n",p->usedEb);
+        //printf("data[%d]=%.6e decompressed[%d]=%.6e diff=%.6e\n",_1DIdx,data[_1DIdx],_1DIdx,decompressed,abs_FastD(data[_1DIdx]-decompressed));
         assert(0);
       }
@@ -175,6 +175,6 @@
   //*(uint16_t*)(&outBuf[7])=p->idxOffset[3];
     
-  if(D_W){printf("ECQ0s:%d ECQ1s:%d ECQOthers:%d Total:%d\n",p->bSize-bp->ECQ1s-bp->ECQOthers,bp->ECQ1s,bp->ECQOthers,p->bSize);} //DEBUG
-  if(D_W){printf("numOutliers:%d\n",bp->numOutliers);} //DEBUG
+  //if(D_W){printf("ECQ0s:%d ECQ1s:%d ECQOthers:%d Total:%d\n",p->bSize-bp->ECQ1s-bp->ECQOthers,bp->ECQ1s,bp->ECQOthers,p->bSize);} //DEBUG
+  //if(D_W){printf("numOutliers:%d\n",bp->numOutliers);} //DEBUG
   
   //****************************************************************************************
@@ -184,6 +184,6 @@
     //Uncompressed, Sparse bits. Just like the original GAMESS data. Includes: mode, indexOffsets, nonZeros, indexes, data
     *numOutBytes=UCSparseBytes;
-    if(D_G){printf("UCSparse\n");} //DEBUG
-    if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
+    //if(D_G){printf("UCSparse\n");} //DEBUG
+    //if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
     outBuf[0]=0; //mode
     
@@ -217,5 +217,5 @@
           }
     
-    if(D_G)printf("UCSparseBytes:%d \n",UCSparseBytes); //DEBUG
+    //if(D_G)printf("UCSparseBytes:%d \n",UCSparseBytes); //DEBUG
     
   //****************************************************************************************
@@ -225,6 +225,6 @@
     //Uncompressed, NonSparse bits. Includes: mode, indexOffsets, data
     *numOutBytes=UCNonSparseBytes;
-    if(D_G){printf("UCNonSparse\n");} //DEBUG
-    if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
+    //if(D_G){printf("UCNonSparse\n");} //DEBUG
+    //if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
     outBuf[0]=1; //mode
     
@@ -232,14 +232,14 @@
     memcpy(&outBuf[1], data, p->bSize*p->dataSize);
     
-    if(D_G)printf("UCNonSparseBytes:%d \n",UCNonSparseBytes); //DEBUG
+    //if(D_G)printf("UCNonSparseBytes:%d \n",UCNonSparseBytes); //DEBUG
     /*
     for(i=0;i<UCNonSparseBytes-17;i++){
-      printf("%d ",inBuf[p->bSize*8+i]);
-    }
-    printf("\n");
+      //printf("%d ",inBuf[p->bSize*8+i]);
+    }
+    //printf("\n");
     for(i=0;i<UCNonSparseBytes-17;i++){
-      printf("%d ",outBuf[17+i]);
-    }
-    printf("\n");
+      //printf("%d ",outBuf[17+i]);
+    }
+    //printf("\n");
     */
   //****************************************************************************************
@@ -249,7 +249,7 @@
     //Includes: mode, indexOffsets, compressedBytes, patternBits, ECQBits,numOutliers,P, S, {Indexes(Sparse), ECQ}
     *numOutBytes=CSparseBytes;
-    if(D_G){printf("CSparse\n");} //DEBUG
-    if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
-    //if(DEBUG){printf("patternBits:%d _1DIdxBits:%d\n",patternBits,_1DIdxBits);} //DEBUG
+    //if(D_G){printf("CSparse\n");} //DEBUG
+    //if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
+    ////if(DEBUG){printf("patternBits:%d _1DIdxBits:%d\n",patternBits,_1DIdxBits);} //DEBUG
     outBuf[0]=2; //mode
     
@@ -270,15 +270,15 @@
     bitPos=9*8; 
     
-    //if(DEBUG){printf("bitPos_B:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG){printf("bitPos_B:%ld\n",bitPos);} //DEBUG
 
     for(i=0;i<p->sbSize;i++){
       writeBits_Fast(outBuf,&bitPos,bp->patternBits,patternQ[i]);//Pattern point
     }
-    //if(DEBUG){printf("bitPos_P:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG){printf("bitPos_P:%ld\n",bitPos);} //DEBUG
     for(i=0;i<p->sbNum;i++){
       writeBits_Fast(outBuf,&bitPos,bp->scaleBits,scalesQ[i]);//Scale
     }
-    //if(DEBUG){printf("bitPos_S:%ld\n",bitPos);} //DEBUG
-    //if(DEBUG)printf("ECQBits:%d\n",ECQBits);
+    ////if(DEBUG){printf("bitPos_S:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG)printf("ECQBits:%d\n",ECQBits);
     switch(bp->ECQBits){
       case 2:
@@ -288,5 +288,5 @@
               break;
             case 1:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x0\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x0\n",i,ECQ[i]); //DEBUG
               writeBits_Fast(outBuf,&bitPos,bp->_1DIdxBits,i);
               //writeBits_Fast(outBuf,&bitPos,2,0x10);
@@ -296,5 +296,5 @@
               break;
             case -1:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1\n",i,ECQ[i]); //DEBUG
               writeBits_Fast(outBuf,&bitPos,bp->_1DIdxBits,i);
               //writeBits_Fast(outBuf,&bitPos,2,0x11);
@@ -315,5 +315,5 @@
             break;
           case 1:
-            //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x00\n",i,ECQ[i]); //DEBUG
+            ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x00\n",i,ECQ[i]); //DEBUG
             writeBits_Fast(outBuf,&bitPos,bp->_1DIdxBits,i);
             //writeBits_Fast(outBuf,&bitPos,3,0);//0x000
@@ -323,5 +323,5 @@
             break;
           case -1:
-            //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x01\n",i,ECQ[i]); //DEBUG
+            ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x01\n",i,ECQ[i]); //DEBUG
             writeBits_Fast(outBuf,&bitPos,bp->_1DIdxBits,i);
             //writeBits_Fast(outBuf,&bitPos,3,1);//0x001
@@ -331,5 +331,5 @@
             break;
           default:
-            //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1 0x%lx\n",i,ECQ[i],ECQ[i]); //DEBUG
+            ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1 0x%lx\n",i,ECQ[i],ECQ[i]); //DEBUG
             writeBits_Fast(outBuf,&bitPos,bp->_1DIdxBits,i);
             //writeBits_Fast(outBuf,&bitPos,2+ECQBits,((uint64_t)0x11<<ECQBits)|ECQ[i]);
@@ -344,6 +344,6 @@
     }
     
-    //if(DEBUG){printf("bitPos_E:%ld\n",bitPos);} //DEBUG
-    if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: ECQBits:%d numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
+    ////if(DEBUG){printf("bitPos_E:%ld\n",bitPos);} //DEBUG
+    //if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: ECQBits:%d numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
           
 
@@ -352,5 +352,5 @@
     *(uint32_t*)(&outBuf[1])=bytePos;
     
-    if(D_G)printf("bitPos:%ld CSparseBits:%d bytePos:%d CSparseBytes:%d\n",bitPos,CSparseBits,bytePos,CSparseBytes); //DEBUG
+    //if(D_G)printf("bitPos:%ld CSparseBits:%d bytePos:%d CSparseBytes:%d\n",bitPos,CSparseBits,bytePos,CSparseBytes); //DEBUG
     if(D_G){assert(bitPos==CSparseBits);}
     
@@ -360,7 +360,7 @@
     //Includes: mode, indexOffsets, compressedBytes, patternBits, ECQBits,P, S, {ECQ}
     *numOutBytes=CNonSparseBytes;
-    if(D_G){printf("CNonSparse\n");} //DEBUG
-    if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
-    //if(DEBUG){printf("patternBits:%d _1DIdxBits:%d\n",patternBits,_1DIdxBits);} //DEBUG
+    //if(D_G){printf("CNonSparse\n");} //DEBUG
+    //if(D_G)printf("ECQBits:%d\n",bp->ECQBits); //DEBUG
+    ////if(DEBUG){printf("patternBits:%d _1DIdxBits:%d\n",patternBits,_1DIdxBits);} //DEBUG
     outBuf[0]=3; //mode
     
@@ -375,15 +375,15 @@
     bitPos=7*8; //Currently, we are at the end of 7th byte.
     
-    //if(DEBUG){printf("bitPos_B:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG){printf("bitPos_B:%ld\n",bitPos);} //DEBUG
 
     for(i=0;i<p->sbSize;i++){
       writeBits_Fast(outBuf,&bitPos,bp->patternBits,patternQ[i]);//Pattern point
     }
-    //if(DEBUG){printf("bitPos_P:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG){printf("bitPos_P:%ld\n",bitPos);} //DEBUG
     for(i=0;i<p->sbNum;i++){
       writeBits_Fast(outBuf,&bitPos,bp->scaleBits,scalesQ[i]);//Scale
     }
-    //if(DEBUG){printf("bitPos_S:%ld\n",bitPos);} //DEBUG
-    //if(DEBUG)printf("ECQBits:%d\n",ECQBits);
+    ////if(DEBUG){printf("bitPos_S:%ld\n",bitPos);} //DEBUG
+    ////if(DEBUG)printf("ECQBits:%d\n",ECQBits);
     switch(bp->ECQBits){
       case 2:
@@ -391,9 +391,9 @@
           switch(ECQ[i]){
             case 0:
-              //if(DEBUG)printf("Index:%d ECQ:%d Written:0x1\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%d Written:0x1\n",i,ECQ[i]); //DEBUG
               writeBits_Fast(outBuf,&bitPos,1,1);//0x1
               break;
             case 1:
-              //if(DEBUG)printf("Index:%d ECQ:%d Written:0x00\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%d Written:0x00\n",i,ECQ[i]); //DEBUG
               //writeBits_Fast(outBuf,&bitPos,2,0);//0x00
               writeBits_Fast(outBuf,&bitPos,1,0);
@@ -401,5 +401,5 @@
               break;
             case -1:
-              //if(DEBUG)printf("Index:%d ECQ:%d Written:0x01\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%d Written:0x01\n",i,ECQ[i]); //DEBUG
               //writeBits_Fast(outBuf,&bitPos,2,2); //0x01
               writeBits_Fast(outBuf,&bitPos,1,0);
@@ -413,21 +413,21 @@
         break;
       default: //ECQBits>2
-        //if(DEBUG) printf("AMG_W1:bitPos:%ld\n",bitPos); //DEBUG
+        ////if(DEBUG) printf("AMG_W1:bitPos:%ld\n",bitPos); //DEBUG
         for(i=0;i<p->bSize;i++){
-          //if(DEBUG){printf("AMG_W3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
-          //if(DEBUG) printf("AMG_W2:bitPos:%ld\n",bitPos); //DEBUG
-          //if(DEBUG) printf("ECQ[%d]:%ld\n",i,ECQ[i]); //DEBUG
+          ////if(DEBUG){printf("AMG_W3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
+          ////if(DEBUG) printf("AMG_W2:bitPos:%ld\n",bitPos); //DEBUG
+          ////if(DEBUG) printf("ECQ[%d]:%ld\n",i,ECQ[i]); //DEBUG
           switch(ECQ[i]){
             case 0:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1\n",i,ECQ[i]); //DEBUG
-              //if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x1\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
               //temp1=bitPos;
               writeBits_Fast(outBuf,&bitPos,1,1);  //0x1
               //wVal=1; writeBits_Fast(outBuf,&bitPos,1,wVal); //0x1
-              //if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
+              ////if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
               break;
             case 1:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x000\n",i,ECQ[i]); //DEBUG
-              //if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x000\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
               //temp1=bitPos;
               //writeBits_Fast(outBuf,&bitPos,3,0); //0x000
@@ -436,9 +436,9 @@
               writeBits_Fast(outBuf,&bitPos,1,0);
               //wVal=0; writeBits_Fast(outBuf,&bitPos,3,wVal); //0x000
-              //if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
+              ////if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
               break;
             case -1:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x001\n",i,ECQ[i]); //DEBUG
-              //if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x001\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
               //temp1=bitPos;
               //writeBits_Fast(outBuf,&bitPos,3,8); //0x001
@@ -447,9 +447,9 @@
               writeBits_Fast(outBuf,&bitPos,1,1); 
               //wVal=8; writeBits_Fast(outBuf,&bitPos,3,wVal); //0x001
-              //if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
+              ////if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
               break;
             default:
-              //if(DEBUG)printf("Index:%d ECQ:%ld Written:0x01 0x%lx\n",i,ECQ[i]); //DEBUG
-              //if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
+              ////if(DEBUG)printf("Index:%d ECQ:%ld Written:0x01 0x%lx\n",i,ECQ[i]); //DEBUG
+              ////if(DEBUG){printf("AMG_WB3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&outBuf[bitPos/8]));}; //DEBUG
               //temp1=bitPos;
               //writeBits_Fast(outBuf,&bitPos,2,2); //0x01
@@ -458,5 +458,5 @@
               //wVal=2; writeBits_Fast(outBuf,&bitPos,2,wVal); //0x01
               writeBits_Fast(outBuf,&bitPos,bp->ECQBits,ECQ[i]);
-              //if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
+              ////if(DEBUG){printf("AMG_WA3:bitPos:%ld buffer[%ld]=0x%lx\n",temp1,temp1/8,*(uint64_t*)(&outBuf[temp1/8]));}; //DEBUG
               break;
           }
@@ -465,6 +465,6 @@
     }
     
-    //if(DEBUG){printf("bitPos_E:%ld\n",bitPos);} //DEBUG
-    if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: ECQBits:%d numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
+    ////if(DEBUG){printf("bitPos_E:%ld\n",bitPos);} //DEBUG
+    //if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: ECQBits:%d numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
     
           
@@ -474,9 +474,9 @@
     *(uint32_t*)(&outBuf[1])=bytePos;
     
-    if(D_G)printf("bitPos:%ld CNonSparseBits:%d bytePos:%d CNonSparseBytes:%d\n",bitPos,CNonSparseBits,bytePos,CNonSparseBytes); //DEBUG
+    //if(D_G)printf("bitPos:%ld CNonSparseBits:%d bytePos:%d CNonSparseBytes:%d\n",bitPos,CNonSparseBits,bytePos,CNonSparseBytes); //DEBUG
     if(D_G){assert(bitPos==CNonSparseBits);}
     
   }
-  //for(i=213;i<233;i++)if(DEBUG)printf("AMG_WE:bitPos:%d buffer[%d]=0x%lx\n",i*8,i,*(uint64_t*)(&outBuf[i])); //DEBUG
+  ////for(i=213;i<233;i++)if(DEBUG)printf("AMG_WE:bitPos:%d buffer[%d]=0x%lx\n",i*8,i,*(uint64_t*)(&outBuf[i])); //DEBUG
   
 }
@@ -484,8 +484,8 @@
   pastri_blockParams bp;
 
-  if(D_G2){printf("Parameters: dataSize:%d\n",p->dataSize);}  //DEBUG
-  if(D_G2){printf("Parameters: bfs:%d %d %d %d originalEb:%.3e\n",p->bf[0],p->bf[1],p->bf[2],p->bf[3],p->usedEb);}  //DEBUG
-  if(D_G2){printf("Parameters: idxRanges:%d %d %d %d\n",p->idxRange[0],p->idxRange[1],p->idxRange[2],p->idxRange[3]);} //DEBUG
-  if(D_G2){printf("Parameters: sbSize:%d sbNum:%d bSize:%d\n",p->sbSize,p->sbNum,p->bSize); }//DEBUG
+  //if(D_G2){printf("Parameters: dataSize:%d\n",p->dataSize);}  //DEBUG
+  //if(D_G2){printf("Parameters: bfs:%d %d %d %d originalEb:%.3e\n",p->bf[0],p->bf[1],p->bf[2],p->bf[3],p->usedEb);}  //DEBUG
+  //if(D_G2){printf("Parameters: idxRanges:%d %d %d %d\n",p->idxRange[0],p->idxRange[1],p->idxRange[2],p->idxRange[3]);} //DEBUG
+  //if(D_G2){printf("Parameters: sbSize:%d sbNum:%d bSize:%d\n",p->sbSize,p->sbNum,p->bSize); }//DEBUG
   
   int64_t patternQ[MAX_PS_SIZE];
@@ -567,5 +567,5 @@
     //R:UCSparse
     case 0:
-      if(D_G){printf("\nDC:UCSparse\n");} //DEBUG
+      //if(D_G){printf("\nDC:UCSparse\n");} //DEBUG
       //bp->nonZeros=*(uint16_t*)(&inBuf[9]);
       //bytePos=11;
@@ -592,17 +592,17 @@
         bytePos+=8; 
       }
-      if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
+      //if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
       break;
     //R:UCNonSparse
     case 1:
-      if(D_G){printf("\nDC:UCNonSparse\n");} //DEBUG
+      //if(D_G){printf("\nDC:UCNonSparse\n");} //DEBUG
       //memcpy(&outBuf[p->bSize*8], &inBuf[9], p->bSize*8);
       memcpy(data, &inBuf[1], p->bSize*8);
       bytePos=p->bSize*8;
-      if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
+      //if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
       break;
     //R:CSparse
     case 2:
-      if(D_G){printf("\nDC:CSparse\n");} //DEBUG
+      //if(D_G){printf("\nDC:CSparse\n");} //DEBUG
       //for(j=0;j<p->bSize;j++){
       //  data[j]=0;
@@ -615,5 +615,5 @@
       bp->ECQBits=inBuf[6];
       
-      if(D_R){printf("bp->patternBits:%d bp->ECQBits:%d bp->_1DIdxBits:%d\n",bp->patternBits,bp->ECQBits,bp->_1DIdxBits);} //DEBUG
+      //if(D_R){printf("bp->patternBits:%d bp->ECQBits:%d bp->_1DIdxBits:%d\n",bp->patternBits,bp->ECQBits,bp->_1DIdxBits);} //DEBUG
       
       //bp->numOutliers=*(uint16_t*)(&inBuf[15]);
@@ -621,5 +621,5 @@
       bp->numOutliers=*(uint16_t*)(&inBuf[7]);
       bitPos=9*8;
-      if(D_R){printf("bp->numOutliers:%d\n",bp->numOutliers);} //DEBUG
+      //if(D_R){printf("bp->numOutliers:%d\n",bp->numOutliers);} //DEBUG
 
       bp->scalesBinSize=1/(float)(((uint64_t)1<<(bp->patternBits-1))-1);
@@ -627,13 +627,13 @@
       bp->binSize=p->usedEb*2;
       
-      if(D_R){printf("bp->scalesBinSize:%.6e bp->binSize:%.6e bp->scalesBinSize*bp->binSize:%.6e\n",bp->scalesBinSize,bp->binSize,bp->scalesBinSize*bp->binSize);} //DEBUG
+      //if(D_R){printf("bp->scalesBinSize:%.6e bp->binSize:%.6e bp->scalesBinSize*bp->binSize:%.6e\n",bp->scalesBinSize,bp->binSize,bp->scalesBinSize*bp->binSize);} //DEBUG
 
       for(j=0;j<p->sbSize;j++){
         patternQ[j]=readBits_I64(inBuf,&bitPos,bp->patternBits);//Pattern point
-        if(D_R){printf("R:patternQ[%d]=%ld\n",j,patternQ[j]);}
+        //if(D_R){printf("R:patternQ[%d]=%ld\n",j,patternQ[j]);}
       }
       for(j=0;j<p->sbNum;j++){
         scalesQ[j]=readBits_I64(inBuf,&bitPos,bp->patternBits);//Scale
-        if(D_R){printf("R:scalesQ[%d]=%ld\n",j,scalesQ[j]);}
+        //if(D_R){printf("R:scalesQ[%d]=%ld\n",j,scalesQ[j]);}
       }
       
@@ -649,11 +649,11 @@
         case 2:
           for(j=0;j<bp->numOutliers;j++){
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
             
             _1DIdx=readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits);
             ECQTemp=readBits_I64(inBuf,&bitPos,1);
             ECQTemp= ((ECQTemp<<63)>>63)|(uint64_t)0x1;
-            //if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
+            ////if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
             //continue;
             //sb=_1DIdx/p->sbSize; 
@@ -663,9 +663,9 @@
             ECQ[_1DIdx]=ECQTemp;
             
-            //if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
+            ////if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
           }
           break;
         default: //bp->ECQBits>2
-          if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: bp->ECQBits:%d bp->numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
+          //if(D_C){if(!((bp->ECQBits>=2)||((bp->ECQBits==1) && (bp->numOutliers==0)))){printf("ERROR: bp->ECQBits:%d bp->numOutliers:%d This should not have happened!\n",bp->ECQBits,bp->numOutliers);assert(0);}} //DEBUG
     
           for(j=0;j<bp->numOutliers;j++){
@@ -674,19 +674,19 @@
             //localIdx=_1DIdx%p->sbSize;
             temp=readBits_UI64(inBuf,&bitPos,1);
-            //if(DEBUG){printf("temp:%ld\n",temp);} //DEBUG
+            ////if(DEBUG){printf("temp:%ld\n",temp);} //DEBUG
             switch(temp){
               case 0:  //+-1
                 ECQTemp=readBits_I64(inBuf,&bitPos,1);
                 ECQTemp= ((ECQTemp<<63)>>63)|(uint64_t)0x1;
-                //if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
-                //if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
+                ////if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
+                ////if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
                 break;
               case 1: //Others
                 ECQTemp=readBits_I64(inBuf,&bitPos,bp->ECQBits);
-                //if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
-                //if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
+                ////if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
+                ////if(D_R)printf("R:ECQ[%d]: %ld \n",_1DIdx,ECQTemp);
                 break;
               //default:
-              //  printf("ERROR: Bad 2-bit value: 0x%lx",temp);
+              ////  printf("ERROR: Bad 2-bit value: 0x%lx",temp);
               // assert(0); //AMG
               //  break;
@@ -696,5 +696,5 @@
             ECQ[_1DIdx]=ECQTemp;
             
-            //if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
+            ////if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
           }
           break;
@@ -705,5 +705,5 @@
       
       bytePos=(bitPos+7)/8;
-      if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
+      //if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
       
       //STEP 2: PREDICT DATA(Includes INVERSE QUANTIZATION)
@@ -713,5 +713,5 @@
     //R:CNonSparse
     case 3:
-      if(D_G){printf("\nDC:CNonSparse\n");} //DEBUG
+      //if(D_G){printf("\nDC:CNonSparse\n");} //DEBUG
       
       //for(j=0;j<p->bSize;j++){
@@ -725,5 +725,5 @@
       bp->ECQBits=inBuf[6];
       
-      if(D_R){printf("bp->patternBits:%d bp->ECQBits:%d bp->_1DIdxBits:%d\n",bp->patternBits,bp->ECQBits,bp->_1DIdxBits);} //DEBUG
+      //if(D_R){printf("bp->patternBits:%d bp->ECQBits:%d bp->_1DIdxBits:%d\n",bp->patternBits,bp->ECQBits,bp->_1DIdxBits);} //DEBUG
       
       //bitPos=15*8;
@@ -733,18 +733,18 @@
       bp->binSize=p->usedEb*2;
       
-      if(D_R){printf("bp->scalesBinSize:%.6e bp->binSize:%.6e bp->scalesBinSize*bp->binSize:%.6e\n",bp->scalesBinSize,bp->binSize,bp->scalesBinSize*bp->binSize);} //DEBUG
+      //if(D_R){printf("bp->scalesBinSize:%.6e bp->binSize:%.6e bp->scalesBinSize*bp->binSize:%.6e\n",bp->scalesBinSize,bp->binSize,bp->scalesBinSize*bp->binSize);} //DEBUG
 
       for(j=0;j<p->sbSize;j++){
         patternQ[j]=readBits_I64(inBuf,&bitPos,bp->patternBits);//Pattern point
-        if(D_R){printf("R:patternQ[%d]=%ld\n",j,patternQ[j]);}
+        //if(D_R){printf("R:patternQ[%d]=%ld\n",j,patternQ[j]);}
       }
       for(j=0;j<p->sbNum;j++){
         scalesQ[j]=readBits_I64(inBuf,&bitPos,bp->patternBits);//Scale
-        if(D_R){printf("R:scalesQ[%d]=%ld\n",j,scalesQ[j]);}
+        //if(D_R){printf("R:scalesQ[%d]=%ld\n",j,scalesQ[j]);}
       }
       /* //Splitting
       for(j=0;j<p->bSize;j++){
         data[j]=scalesQ[j/p->sbSize]*patternQ[j%p->sbSize]*bp->scalesBinSize*bp->binSize;
-        //if(DEBUG){printf("DC:PS[%d]=%.6e\n",j,data[j]);}
+        ////if(DEBUG){printf("DC:PS[%d]=%.6e\n",j,data[j]);}
       }
       */
@@ -752,6 +752,6 @@
         case 2:
           for(j=0;j<p->bSize;j++){
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
             //_1DIdx=readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits);
             temp=readBits_UI64(inBuf,&bitPos,1);
@@ -769,5 +769,5 @@
             }
             
-            //if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
+            ////if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
             //continue;
             //sb=_1DIdx/p->sbSize; 
@@ -777,37 +777,37 @@
             ECQ[j]=ECQTemp;
             
-            //if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
+            ////if(DEBUG){printf("decompressed[%d]:%.6e\n",_1DIdx,data[_1DIdx]);} //DEBUG
           }
           break;
         default: //bp->ECQBits>2
-          //if(DEBUG)printf("AMG_R1:bitPos: %ld\n",bitPos);
+          ////if(DEBUG)printf("AMG_R1:bitPos: %ld\n",bitPos);
           
           for(j=0;j<p->bSize;j++){
-            //if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
-            //if(DEBUG)printf("AMG_R2:bitPos: %ld\n",bitPos);
-
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
-            //if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
+            ////if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
+            ////if(DEBUG)printf("AMG_R2:bitPos: %ld\n",bitPos);
+
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits));} //DEBUG
+            ////if(DEBUG){printf("readBits_UI64:%ld\n",readBits_I64(inBuf,&bitPos,2));} //DEBUG
             //_1DIdx=readBits_UI64(inBuf,&bitPos,bp->_1DIdxBits);
             temp=readBits_UI64(inBuf,&bitPos,1);
-            //if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
+            ////if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
             switch(temp){
               case 0:
-                //if(DEBUG)printf("Read:0");
+                ////if(DEBUG)printf("Read:0");
                 temp2=readBits_UI64(inBuf,&bitPos,1);
                 switch(temp2){
                   case 0:
-                    //if(DEBUG)printf("0");
+                    ////if(DEBUG)printf("0");
                     ECQTemp=readBits_I64(inBuf,&bitPos,1);
-                    //if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
-                    //if(DEBUG)printf("R:ECQTemp:%ld\n",ECQTemp);
+                    ////if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
+                    ////if(DEBUG)printf("R:ECQTemp:%ld\n",ECQTemp);
                     ECQTemp= ((ECQTemp<<63)>>63)|(uint64_t)0x1;
-                    //if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
+                    ////if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
                     break;
                   case 1:
-                    //if(DEBUG)printf("1\n");
+                    ////if(DEBUG)printf("1\n");
                     ECQTemp=readBits_I64(inBuf,&bitPos,bp->ECQBits);
-                    //if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
-                    //if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
+                    ////if(DEBUG){printf("AMG_R3:bitPos:%ld buffer[%ld]=0x%lx\n",bitPos,bitPos/8,*(uint64_t*)(&inBuf[bitPos/8]));}; //DEBUG
+                    ////if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
                     break;
                   default:
@@ -817,7 +817,7 @@
                 break;
               case 1:
-                //if(DEBUG)printf("Read:1\n");
+                ////if(DEBUG)printf("Read:1\n");
                 ECQTemp=0;
-                //if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
+                ////if(DEBUG)printf("R:ECQ[%d]: %ld\n",j,ECQTemp);
                 break;
               default:
@@ -826,5 +826,5 @@
             }
             
-            //if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
+            ////if(DEBUG){printf("_1DIdx:%ld ECQTemp:0x%ld\n",_1DIdx,ECQTemp);} //DEBUG
             //continue;
             //sb=_1DIdx/p->sbSize; 
@@ -834,5 +834,5 @@
             ECQ[j]=ECQTemp;
             
-            //if(DEBUG){printf("DC:data[%d]:%.6e\n",j,data[j]);} //DEBUG
+            ////if(DEBUG){printf("DC:data[%d]:%.6e\n",j,data[j]);} //DEBUG
           }
           break;
@@ -842,5 +842,5 @@
       //scalesQ=(int64_t*)(inBuf+15+p->sbSize*8);
       bytePos=(bitPos+7)/8;
-      if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
+      //if(D_G){printf("\nDC:bytePos:%ld\n",bytePos);} //DEBUG
       
       //STEP 2: PREDICT DATA(Includes INVERSE QUANTIZATION)
@@ -880,17 +880,17 @@
   for(i=0;i<p->bSize;i++){
     if(idx0[i]!=idx0_dc[i]){
-      printf("idx0[%d]=%d  !=  %d=idx0_dc[%d]",i,idx0[i],idx0_dc[i],i);
+      //printf("idx0[%d]=%d  !=  %d=idx0_dc[%d]",i,idx0[i],idx0_dc[i],i);
       assert(0);
     }
     if(idx1[i]!=idx1_dc[i]){
-      printf("idx1[%d]=%d  !=  %d=idx1_dc[%d]",i,idx1[i],idx1_dc[i],i);
+      //printf("idx1[%d]=%d  !=  %d=idx1_dc[%d]",i,idx1[i],idx1_dc[i],i);
       assert(0);
     }
     if(idx2[i]!=idx2_dc[i]){
-      printf("idx2[%d]=%d  !=  %d=idx2_dc[%d]",i,idx2[i],idx2_dc[i],i);
+      //printf("idx2[%d]=%d  !=  %d=idx2_dc[%d]",i,idx2[i],idx2_dc[i],i);
       assert(0);
     }
     if(idx3[i]!=idx3_dc[i]){
-      printf("idx3[%d]=%d  !=  %d=idx3_dc[%d]",i,idx3[i],idx3_dc[i],i);
+      //printf("idx3[%d]=%d  !=  %d=idx3_dc[%d]",i,idx3[i],idx3_dc[i],i);
       assert(0);
     }
@@ -901,5 +901,5 @@
   for(i=0;i<p->bSize;i++){
     if(abs_FastD(data[i]-data_dc[i])>p->usedEb){
-      printf("|data[%d]-data_dc[%d]|>originalEb : %.3e - %.3e = %.3e > %.3e\n",i,i,data[i],data_dc[i],abs_FastD(data[i]-data_dc[i]),p->usedEb);
+      //printf("|data[%d]-data_dc[%d]|>originalEb : %.3e - %.3e = %.3e > %.3e\n",i,i,data[i],data_dc[i],abs_FastD(data[i]-data_dc[i]),p->usedEb);
       assert(0);
     }
